<?php
/*Template Post Type: desarrollos*/
?>
<?php get_header(); ?>

<script src="<?php echo get_stylesheet_directory_uri(); ?>/js/jquery331.js"></script>
<script src="<?php echo get_home_url(); ?>/desarrollos/sara/js/jqfancy.min.js"></script>

<link rel="stylesheet" type="text/css" href="<?php echo get_stylesheet_directory_uri(); ?>/css/desarrollo.css?v=<?php echo time(); ?>">

<?php
// ini_set('display_errors', 1);
// ini_set('display_startup_errors', 1);
// error_reporting(E_ALL);
?>

<!--
###############################
###############################
-->
<?php if(have_posts()) : ?><?php while(have_posts()) : the_post(); ?>

	<?php
        
		$postid = get_the_ID();
		$post_slug = get_page_uri();

		$tel = get_field('telefono');
		$tel2 = get_field('telefono2');
		$tel3 = get_field('telefono3');
		$logo = get_field('logotipo');
		$video_des = get_field('video_desarrollo');
		$direccion = get_field('direccion');
		$categorias = get_field('categorias');
		$modo_portada = get_field('modo_portada');
		$idDesarrollo = get_field('desarrollo_api');

        $prototipo = get_field('prototipo');

        // var_dump( $prototipo[0]['ubicacion']['url'] );
        //var_dump( get_field('logotipo') );

        $prototipoIMGs = [];
		if( isset( $prototipo ) ){
			for ($i=0; $i < count($prototipo); $i++) { 

				$imgs = array(
					'ubicacion' => $prototipo[$i]['ubicacion']['url'],
					'planta_baja' => $prototipo[$i]['planta_baja']['url'],
					'planta_alta' => $prototipo[$i]['planta_alta']['url'],
					// 'roof_garden' => $prototipo[$i]['roof_garden']['url']
				);
				
				if( isset($prototipo[$i]['roof_garden']['url']) ){
					//array_push( $imgs,  )
					$imgs['roof_garden'] = $prototipo[$i]['roof_garden']['url'];
				}
				
				$codigo = $prototipo[$i]['codigo'];
				$prototipoIMGs[ $codigo ] = $imgs;
			}
		}
        

        // var_dump( $prototipoIMGs['A101'] );

		if (get_field('definir_ubicacion_por') == 'mapa') {
			$mapa = get_field('mapa');

			$lat = $mapa['lat'];
			$lng = $mapa['lng'];

		}else if( get_field('definir_ubicacion_por') == 'coordenadas'){
			$mapa['lat'] = get_field('latitud');
			$mapa['lng'] = get_field('longitud');

			$lat = $mapa['lat'];
			$lng = $mapa['lng'];
		}

		if ( get_field('color') ) {
			$color = get_field('color');
		}else{
			$color = '#deb772';
		}

		$tipo_propiedad = get_field('tipo_propiedad');
		if ($tipo_propiedad == "") {
			$tipo_propiedad = "Departamento";
		}

		if (get_field('modo_de_prototipo')) {
			$modo_de_prototipo = get_field('modo_de_prototipo');
			if ($modo_de_prototipo == 'prototipo') {
				$recamaras = get_field('recamaras');
				$banos = get_field('banos');
				$balcon = get_field('balcon');
				$terraza = get_field('terraza');
			}else{
				$galeria_prototipo = get_field('galeria_prototipo');
			}
		}
        
		if (get_field('modo_de_avances_de_obra')) {
			$modo_de_avances_de_obra = get_field('modo_de_avances_de_obra');
			if ($modo_de_avances_de_obra == 'timeline') {
				$fecha_de_entrega = get_field('fecha_de_entrega');
				$fecha_de_inicioo = get_field('fecha_de_inicioo');
			}else{
				$galeria_avances_de_obra = get_field('galeria_avances_de_obra');
			}
		}

		// if (get_field('modo_de_acabados')) {
		// 	$modo_de_acabados = get_field('modo_de_acabados');
		// 	if ($modo_de_acabados == 'acabados') {
		// 	}else{
		// 		$galeria_acabados = get_field('galeria_acabados');
		// 	}
		// }

		// if (get_field('modo_de_acabados')) {
		// 	$modo_de_acabados = get_field('modo_de_acabados');
		// 	if ($modo_de_acabados == 'acabados') {
		// 	}else{
		// 		$galeria_acabados = get_field('galeria_acabados');
		// 	}
		// }

		$form_correo = get_field('formulario_correo');
		$avatar = get_field('avatar');

		global $post;
		$page_slug = $post->post_name;

		$form_contacto_promocion = get_field('formulario__contacto_promocion');

		if (!$form_contacto_promocion) {
			$form_contacto_promocion = $form_correo;
		}
		$img_contacto_promocion = get_field('images_contacto_promocion');
        /**/

	?>

<style>
	div.volver a.volver{
		border: 1px solid <?php echo $color; ?>;
	}
	div.volver a.volver:hover{
		background-color: <?php echo $color; ?>;
	}
</style>

		<div class="menubarInterior">
			<nav>
				<a href="" class="cerrar-menu">
					<i class="corintios-close"></i>
				</a>
				<ul>
					<li><a href="<?php echo get_home_url(); ?>#ubicacion-desarrollos">Desarrollos</a></li>
					<li><a href="<?php echo get_home_url(); ?>#quienes-somos">Quiénes Somos</a></li>
					<li><a class="scroll" href="<?php echo get_home_url(); ?>#testimonios">Casos de Éxito</a></li>
					<li><a data-toggle="modal" data-target="#modal-video-corintio" href="">Video Vida Residencial</a></li>
					<li><a href="<?php echo get_home_url(); ?>#contactanos">Contacto</a></li>
					<li class="btn-tu-opinion"><a data-toggle="modal" data-target="#tu-opinion" href="">Danos tu opinión</a></li>
				</ul>
			</nav>
		</div>

		<?php

			$arrayDesarrollos = array();
			$arrayDesarrollo = array();

			$argsDesarrollos = array(
				'post_type' => 'desarrollos',
				'posts_per_page' => 150,
			);
			$the_query = new WP_Query( $argsDesarrollos );

			$x = 0;
			if ( $the_query->have_posts() ) :
				while ( $the_query->have_posts() ) : $the_query->the_post();



					$dId = get_the_ID();
					$dDesarrollo = get_the_title();
					$dEstado = get_field('estado');
					$dSlug = $post->post_name;

					$arrayDesarrollo[get_the_ID()] = [];
					$arrayDesarrollo[get_the_ID()]['dId'] = get_the_ID();
					$arrayDesarrollo[get_the_ID()]['dDesarrollo'] = get_the_title();
					$arrayDesarrollo[get_the_ID()]['dSlug'] = $dSlug;
					$arrayDesarrollo[get_the_ID()]['dEstado'] = $dEstado;

					if ( !$arrayDesarrollos[$dEstado] ) {
						$arrayDesarrollos[$dEstado] = [];
					}

					array_push($arrayDesarrollos[$dEstado], $arrayDesarrollo[get_the_ID()] );

					$x++;

				endwhile;
			endif;
			wp_reset_postdata();
		?>
		<div class="nav-otros-desarrollos">

			<button>
				<i class="corintios-close"></i>
			</button>

			<div class="estados scrollbar-inner">
				<?php
					// var_dump( $arrayDesarrollo );
					$arrayKeys = array_keys($arrayDesarrollos);

					for ($i = 0; $i < count($arrayKeys); $i++) { 

						$key = $arrayKeys[$i];

						// if (count($arrayDesarrollos[$i]) > 0) {

								$dEstado = $arrayDesarrollos[$key][0]['dEstado'];

									if($dEstado == 1){
										$estado = 'CDMX - Oriente';
									}
									if($dEstado == 2){
										$estado = 'CDMX - Norte';
									}
									if($dEstado == 3){
										$estado = 'CDMX - Centro';
									}
									if($dEstado == 4){
										$estado = 'CDMX - Poniente';
									}
									if($dEstado == 5){
										$estado = 'CDMX - Sur';
									}
									if($dEstado == 6){
										$estado = 'Aguascalientes';
									}
									if($dEstado == 7){
										$estado = 'BajaCalifornia';
									}
									if($dEstado == 8){
										$estado = 'BajaCaliforniaSur';
									}
									if($dEstado == 9){
										$estado = 'Campeche';
									}
									if($dEstado == 10){
										$estado = 'Chiapas';
									}
									if($dEstado == 11){
										$estado = 'Chihuahua';
									}
									if($dEstado == 12){
										$estado = 'Coahuila';
									}
									if($dEstado == 13){
										$estado = 'Colima';
									}
									if($dEstado == 14){
										$estado = 'Durango';
									}
									if($dEstado == 15){
										$estado = 'EdoMexico';
									}
									if($dEstado == 16){
										$estado = 'Guanajuato';
									}
									if($dEstado == 17){
										$estado = 'Guerrero';
									}
									if($dEstado == 18){
										$estado = 'Hidalgo';
									}
									if($dEstado == 19){
										$estado = 'Jalisco';
									}
									if($dEstado == 20){
										$estado = 'Michoacan';
									}
									if($dEstado == 21){
										$estado = 'Morelos';
									}
									if($dEstado == 22){
										$estado = 'Nayarit';
									}
									if($dEstado == 23){
										$estado = 'NuevoLeon';
									}
									if($dEstado == 24){
										$estado = 'Oaxaca';
									}
									if($dEstado == 25){
										$estado = 'Puebla';
									}
									if($dEstado == 26){
										$estado = 'Queretaro';
									}
									if($dEstado == 27){
										$estado = 'QuintanaRoo';
									}
									if($dEstado == 28){
										$estado = 'SanLuisPotosi';
									}
									if($dEstado == 29){
										$estado = 'Sinaloa';
									}
									if($dEstado == 30){
										$estado = 'Sonora';
									}
									if($dEstado == 31){
										$estado = 'Tabasco';
									}
									if($dEstado == 32){
										$estado = 'Tamaulipas';
									}
									if($dEstado == 33){
										$estado = 'Tlaxcala';
									}
									if($dEstado == 34){
										$estado = 'Veracruz';
									}
									if($dEstado == 35){
										$estado = 'Yucatan';
									}
									if($dEstado == 36){
										$estado = 'Zacatecas';
									}
						
							echo '
								<ul>
									<h3>'.$estado.'</h3>
							';
									for ($k=0; $k < count($arrayDesarrollos[$key]); $k++) { 

										echo '
											<li>
												<a href="'.get_home_url().'/desarrollos/'.$arrayDesarrollos[$key][$k]['dSlug'].'/">
													'.$arrayDesarrollos[$key][$k]['dDesarrollo'].'
												</a>
											</li>
										';
									}
							echo '
								</ul>

							';
						// }
					}

					// var_dump($arrayDesarrollos);

						// echo '
						// 	var desarrrollos = "";
						// 	<h3>CDMX Oriente</h3>
						// 	<ul>
						// 	</ul>;
						// ';
					// }
				?>
			</div>

		</div>

		<header class="desarrollo">
			<div class="container titulo">
				<a href="<?php echo get_home_url(); ?>" class="logo"><img src="<?php PRINT IMG; ?>/grupo-corintio-1.png" alt="Grupo Corintio"></a>
				<h2><?php the_title(); ?></h2>
				<a href="#" class="menu-movil corintio"><i class="corintios-menu1"></i></a>
			</div>

			<div id="menu-desarrollo" style="background-color: <?php echo $color; ?> ;">
				<nav class="container" style="background-color: <?php echo $color; ?>">

					<a href="" class="cerrar-menu">
						<i class="corintios-close"></i>
					</a>

					<ul>
						<li class=" <?php if(!isset($_GET['d'])){echo 'current';} ?>">
							<a href="<?php echo home_url( $wp->request ); ?>/">Proyecto</a>
						</li>
						<li class="scroller <?php if($_GET['d']=='video-desarrollo'){echo 'current';} ?>">
							<a href="<?php echo home_url( $wp->request ).'/'.$slug; ?>#avideo-desarrollo">Video</a>
						</li>
						<li <?php if($_GET['d']=='ubicacion'){echo 'class="current"';} ?>>
							<a href="<?php echo home_url( $wp->request ).'/'.$slug; ?>?d=ubicacion">Ubicación</a>
						</li>
						<?php if( have_rows('categorias') ){
							$catss = have_rows('categorias');
						?>
						<li <?php if($_GET['d']=='amenidades'){echo 'class="current"';} ?>>
							<a href="<?php echo home_url( $wp->request ).'/'.$slug; ?>?d=amenidades">Amenidades</a>
						</li>
						<?php } ?>
						<?php
							if ( ($modo_de_prototipo == 'prototipos') ||
								($modo_de_prototipo == 'galeria' && ( $galeria_prototipo ) ) ){
						?>
						<li <?php if($_GET['d']=='prototipos'){echo 'class="current"';} ?>>
							<a href="<?php echo home_url( $wp->request ).'/'.$slug; ?>?d=prototipos"><?php echo $tipo_propiedad; ?>s</a>
						</li>
						<?php } ?>
						<?php
							if ( ($modo_de_avances_de_obra == 'timeline') ||
								($modo_de_avances_de_obra == 'galeria' && ( $galeria_avances_de_obra) ) ){
						?>
						<li <?php if($_GET['d']=='avances-de-obra'){echo 'class="current"';} ?>>
							<a href="<?php echo home_url( $wp->request ).'/'.$slug; ?>?d=avances-de-obra">Avances de Obra</a>
						</li>
						<?php } ?>

						<?php
                            if( (get_field('acabados') == '1') ){ ?>
                            <li <?php if($_GET['d']=='acabados'){echo 'class="current"';} ?>>
                                <a href="<?php echo home_url( $wp->request ).'/'.$slug; ?>?d=acabados">Acabados</a>
                            </li>
						<?php } ?>

						<?php if( (get_field('simulador_de_acabados') == '1') ){ ?>
						<li <?php if($_GET['d']=='simulador-de-acabados'){echo 'class="current"';} ?>>
							<a href="<?php echo home_url( $wp->request ).'/'.$slug; ?>?d=simulador-de-acabados">Simulador de acabados</a>
						</li>
						<?php } ?>


						<li <?php if($_GET['d']=='contacto'){echo 'class="current"';} ?>>
							<a href="<?php echo home_url( $wp->request ).'/'.$slug; ?>?d=contacto">Contacto</a>
						</li>
					</ul>
					<?php if($tel){ ?>
						<?php
							$te = str_replace('-', '', $tel);
							$t = str_replace(' ', '', $te);
						?>
						<a href="tel:+52<?php echo $t; ?>" class="llamada">
							<div><i class="corintios-llamada"></i></div>
							<div>
								<span>
									Llámanos:<br>
									<small><?php echo $tel; ?></small>
								</span>
							</div>
						</a>

					<?php } ?>

				</nav>

				<div class="menu-movil container">
					<h2><?php the_title(); ?></h2>
					<a href="#"><i class="corintios-menu1"></i></a>
				</div>
			</div>
		</header>
		
		<div class="bg">
		    
        	<?php
        
        		if ($_GET['d'] == "ubicacion") {
        			include("inc/des-ubicacion.php");
        
        		}else if ($_GET['d'] == "amenidades") {
        			include("inc/des-amenidades.php");
        
        		}else if ($_GET['d'] == "prototipos") {
        			include("inc/des-prototipos.php");
        
        		}else if ($_GET['d'] == "avances-de-obra") {
        			include("inc/des-avances.php");
        
        		}else if ($_GET['d'] == "acabados") {
        			include("inc/des-acabados.php");
        
        		}else if ($_GET['d'] == "simulador-de-acabados") {
        			include("inc/des-simulador-acabados.php");
        
        		}else if ($_GET['d'] == "contacto") {
        			include("inc/des-contacto.php");
        
        		}else{
        			include("inc/des-inicio.php");
        		}
        
        	?>
		    
	    </div>

<?php 
    endwhile; ?>
    <?php endif;
?>

<div class="volver">

	<?php if( isset($_GET['d']) ){?>
		<a href="<?php echo get_home_url().'/desarrollos/'.$page_slug; ?>" class="volver">Volver a proyecto</a>
	<?php } ?>

	<div class="socialmedia desarrollo">
		<ul>
			<?php
				$argss = array(
					'post_type' => 'page',

					// 'p' => 2
				);
				$category_posts = new WP_Query($argss);

				if($category_posts->have_posts()) :
					while($category_posts->have_posts()) :
					$category_posts->the_post();

						$facebook = get_field('facebook');
						$twitter = get_field('twitter');
						$youtube = get_field('youtube');
						$blogger = get_field('blogger');

						if ($facebook) {
							echo '<li><a href="'.$facebook.'" target="_blank"><i class="corintios-facebook"></i></a></li>';
						}
						if ($twitter) {
							echo '<li><a href="'.$twitter.'" target="_blank"><i class="corintios-twitter"></i></a></li>';
						}
						if ($youtube) {
							echo '<li><a href="'.$youtube.'" target="_blank"><i class="corintios-youtube"></i></a></li>';
						}
						if($blogger) {
							echo '
							<li><a href="'.$blogger.'" target="_blank" class="blogger"><i class="corintios-blogger"></i></a></li>
							';
						}

					endwhile;
				endif;
			?>
		</ul>
	</div>
</div>

<?php if( $img_contacto_promocion ){ ?>
<button id="promociones" style="background-color: <?php echo $color; ?>;" data-toggle="modal" data-target="#modal-promo">Promociones</button>
<?php } ?>

<button id="btn-otros-desarrollos">Otros desarrollos</button>

<!--
###############################
###############################
-->
<?php if( $img_contacto_promocion ){ ?>
<div id="modal-promo" class="modal fade" role="dialog"> 
	<div class="modal-dialog"> 

		<div class="modal-content">

			<div class="modal-body"> 

				<button type="button" class="close" data-dismiss="modal">&times;</button> 

				<div class="img-promo">
					<div class="owl-carousel">
						<?php
							if ($img_contacto_promocion) {
								
								foreach ($img_contacto_promocion as $promo) {

									$imagen = $promo['sizes']['large'];

									echo'
										<div class="promo" style="background-image: url('.$imagen.');"></div>
									';
								}

							}
						?>
					</div>
					<?php if(count($img_contacto_promocion) > 1){ ?>
						<div class="owl-nav">
							<div class="owl-prev" style="display: none;">
								<i class="corintios-left" style="color:<?php echo $color; ?>;"></i>
							</div>

							<div class="owl-next">
								<i class="corintios-right" style="color: <?php echo $color; ?>;"></i>
							</div>
						</div>
					<?php } ?>
				</div>

				<div class="form-promo">
					
					<div class="content">
						<div id="promoform" class="scrollbar-inner">
							<?php echo $form_contacto_promocion; ?>
						</div>
					</div>

				</div>

			</div> 

		</div>

	</div> 
</div>
<?php } ?>

<?php
	if ($post_slug == 'vida-tepeyac') {
		$maqueta = 'sara';
	}
	if ($post_slug == 'vida-jacarandas') {
		$maqueta = 'vidajacarandas';
	}
	if ($post_slug == 'vida-vallejo') {
		$maqueta = 'vidavallejo';
	}
	if ($post_slug == 'vida-victoria') {
		$maqueta = 'vidavictoria';
	}
    if ($post_slug == 'vida-parque-bicentenario') {
		$maqueta = 'tezozomoc';
	}
?>

	<div id="maqueta-modal" class="modal fade" role="dialog"> 
		<div class="modal-dialog">
			<!-- Modal content--> 
			<div class="modal-content">
				<div class="modal-header">
					<div class="icono360 movil">
						<label>Rota y haz click en las amenidades</label>
							<!-- <img src="<?php PRINT IMG; ?>/360.png" alt="" class="i360"> -->
						<img src="<?php PRINT IMG; ?>/drag.gif" alt="" class="drag">
						<button type="button" class="close" data-dismiss="modal">&times;</button>
					</div>
					<iframe src="../<?php echo $maqueta; ?>/maqueta.php" frameborder="0"></iframe>
				</div>
			</div>
		</div>
	</div> 

</div>

<!--
###############################
###############################
-->

<?php get_footer(); ?>


<script>
	// $(document).on('ready', function(){
		if ( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {

			$('#maqueta .preview').show();
			$('#maqueta .maqueta .fancybox-loading').hide();

			$('#maqueta .abajo').css({
				'position' : 'fixed'
			});
			$('#maqueta').css('padding', '0em 0 6em');

			var controller = new ScrollMagic.Controller();
			new ScrollMagic.Scene({
				triggerElement: "#video-desarrollo",
				triggerHook: 0.75,
				// offset: altoBannerTop,
			})
			.duration(1)
			// .addIndicators()
			.setTween(".abajo", {
				"position" : "absolute"
			})
			.addTo(controller);

		}else{

			$('#maqueta .maqueta').load("../<?php echo $maqueta; ?>/maqueta_web.php");

			// var ajaxurl = '<?php // echo get_home_url()."/wp-admin/admin-ajax.php"; ?>';

			// $.ajax({

			// 	url: ajaxurl,
			// 	type: 'post',
			// 	data: {
			// 		action: 'maqueta',
			// 	},
			// 	success: function( result ) {

			// 		$('#contactanos .contacto').html(result);
			// 	}
			// });

		}
	// });
</script>

<?php if ($_GET['d']=='ubicacion') { 
	if( !empty($lat) ){
?>

<script>
	map = new GMaps({
		div: '#map',
		zoom: 16,
		lat: <?php echo $lat; ?>,
		lng: <?php echo $lng; ?>,
		scrollwheel: false,
		styles: [
            {
                "featureType": "all",
                "elementType": "all",
                "stylers": [
                    {
                        "saturation": -100
                    },
                    {
                        "gamma": 0.5
                    }
                ]
            }
        ],
		zoomControl: true,
		mapTypeControl: false,
		fullscreenControl: false
	});

	<?php

	$logo_img = $logo['url'];

	?>

	if ( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
		var waze = "https://waze.com/ul?ll=<?php echo $lat; ?>%2C<?php echo $lng; ?>&navigate=yes&zoom=15";
	}else{
		var waze = "https://waze.com/ul?ll=<?php echo $lng; ?>%2C<?php echo $lat; ?>&navigate=yes&zoom=15";
	}

	map.addMarker({
		lat: <?php echo $lat; ?>,
		lng: <?php echo $lng; ?>,
		// icon: icon,
		title: '<?php the_title(); ?>',
		infoWindow: {
			content: '<div class="marco-des-map">'+

					'<a class="link" href="https://www.google.com/maps/search/?api=1&query=<?php echo $lat; ?>,<?php echo $lng; ?>" target="_blank" style="cursor: pointer; text-decoration: none;">Ver en Google Maps <i class="corintios-right"></i></a>'+

					'<hr>'+
					
					'<a class="link" href="'+waze+'" target="_blank" style="cursor: pointer; text-decoration: none;">Ver en Waze <i class="corintios-right"></i></a>'+
				'</div>'


		},
	});

	$(document).on('ready', '.marco-des-map',function(){
		$('.marco-des-map').css('background-color','#000');
	});
</script>
<?php }} ?>

<?php 
	if(!isset($_COOKIE['popdesarrollo'])) {
		if( $img_contacto_promocion ){ ?>
			<script>
				$('#promociones').on('click', function(){
					$(".img-promo .owl-carousel").trigger('to.owl.carousel', 0);
				});

				var cookies = document.cookie;
				var cookiesArray = cookies.split('; ');

				if ( cookiesArray.indexOf('popdesarrollo=Promociones+Desarrollos+Corintio') == -1 ) {
					setTimeout ( pop, 240000);
				}

				function pop(){
					$('#modal-promo').modal('show');
					$(".img-promo .owl-carousel").trigger('to.owl.carousel', 0);

					var ajaxurl = '<?php echo get_home_url()."/wp-admin/admin-ajax.php"; ?>';

					$.ajax({

						url: ajaxurl,
						type: 'post',
						data: {
							action: 'colocapopdesarrollo',
						},
						success: function( result ) {
						}
					});

				}
			</script>
<?php
		}	
	}
?>

<script>
	$('.slides .owl-carousel').owlCarousel({
		items: 1,
		loop: false,
		nav: false,
		// navText: ['<i class="corintios-left"></i>','<i class="corintios-right"></i>'],
		dots: false
	});

	$('.slides .owl-prev').on('click', function(){
		$('.slides .owl-carousel').trigger('prev.owl');
		$('.slides .owl-next').show();
	});
	$('.slides .owl-next').on('click', function(){
		$('.slides .owl-carousel').trigger('next.owl');
		// $('.slides .owl-prev').show();
	});

	$('.slides .owl-carousel').on('changed.owl.carousel', function (e) {
		if (e.item.index == 0) {
			$('.slides .owl-prev').hide();
			$('.slides .owl-next').show();
			// console.log('inicial:'+e.item.index);
		}
		if( e.item.index == (e.item.count - 1)){
			$('.slides .owl-next').hide();
			// console.log('ultimo: '+e.item.index);
		}
		if( e.item.index > 0){
			$('.slides .owl-prev').show();
			// console.log(e.item.index);
		}
	});

	$('.thumbs-amenidades .owl-carousel').owlCarousel({
		loop: false,
		margin: 15,
		center: false,
		responsive:{
			0:{
				items: 2,
			},
			700:{
				items: 3,
			},
			993:{
				items: 4,
			}
		},
		nav: true,
		navText: ['<i class="corintios-left"></i>','<i class="corintios-right"></i>']

	});

	$('.thumbs-amenidades .owl-prev').on('click', function(){
		 $(".thumbs .owl-carousel").trigger('prev.owl');
		 $('thumbs-amenidades .owl-next').show();
	});
	$('.thumbs-amenidades .owl-next').on('click', function(){
		$(".thumbs-amenidades .owl-carousel").trigger('next.owl');
		$('thumbs-amenidades .owl-prev').show();
	});

	$('.thumbs-amenidades .owl-carousel').on('changed.owl.carousel', function (e) {
	if (e.page.index == 0) {
		$('thumbs-amenidades .owl-prev').hide();
	}
	if( e.page.index == (e.item.count - 1)){
		$('thumbs-amenidades .owl-next').hide();
	}
	});

	$('.desarrollo .menu-movil.corintio').on('click', muestraMenu);
	$('.cerrar-menu').on('click', cierraMenu);

	function muestraMenu(e){
		e.preventDefault();
		$('.menubarInterior nav').addClass('activo');
	}

	function cierraMenu(e){
		e.preventDefault();
		$('.menubarInterior nav').removeClass('activo');
	}

	// ####################
	// ####################

	$('#menu-desarrollo .menu-movil').on('click', muestraMenuDes);
	$('.cerrar-menu').on('click', cierraMenuDes);

	function muestraMenuDes(e){
		e.preventDefault();
		$('#menu-desarrollo nav').addClass('activo');
	}

	function cierraMenuDes(e){
		e.preventDefault();
		$('#menu-desarrollo nav').removeClass('activo');
	}

	$('.thumbs-amenidades a.foto').on('click', clicCategoria);

	function clicCategoria(e){
		e.preventDefault();

		var cat = $(this).attr("cat");
		var tipo = $(this).attr("tipo");
		var iddes = $(this).attr("iddesarrollo");
		var fotos = $(this).attr('fotos');
		var videos = $(this).attr('videos');
		var i360 = $(this).attr('i360');
		var vr = $(this).attr("vr");

		var ajaxurl = '<?php echo get_home_url()."/wp-admin/admin-ajax.php"; ?>';

		$('.slides .icons a.vr').remove();

		if (vr != "") {

			$.ajax({

				url: ajaxurl,
				type: 'post',
				data: {
					action: 'cargar_vr',
					cat: cat,
					id: iddes
				},
				success: function( result ) {

					$('.slides .icons').append(result);

					
				}
			});
			
		}

		$('.icons .galeria').attr('fotos', fotos);
		$('.icons .videos').attr('videos', videos);
		$('.icons .i360').attr('i360', i360);
		$('.icons a').attr('cat', cat);


		if (fotos >= 1) {
			$('.icons .galeria').removeClass('hidden');

		}else{
			$('.icons .galeria').addClass('hidden');
		}

		if (videos >= 1) {
			$('.icons .videos').removeClass('hidden');

		}else{
			$('.icons .videos').addClass('hidden');
		}

		if (i360 >= 1) {
			$('.icons .i360').removeClass('hidden');

		}else{
			$('.icons .i360').addClass('hidden');
		}

		if (videos >= 1) {
			$('.icons .galeria').removeClass('activo');
			$('.icons .videos').addClass('activo');
			$('.icons .i360').removeClass('activo');

			$.ajax({

				url: ajaxurl,
				type: 'post',
				data: {
					action: 'cargar_videos',
					cat: cat,
					tipo: tipo,
					id: iddes
				},
				success: function( result ) {

					// console.log(result);

					$('.slides .slide.i360').removeClass('activo');
					$('.slides .owl-carousel').show();

					$('.slides .owl-carousel').trigger('replace.owl.carousel', result).trigger('refresh.owl.carousel');

					$('.slides .owl-carousel').owlCarousel({
						items: 1,
						loop: false,
						nav: false,
						// navText: ['<i class="corintios-left"></i>','<i class="corintios-right"></i>'],
						dots: false
					});

                    /*
					var video = $('.slides .owl-carousel .owl-item.active a').attr('video');
					var tipo = $('.slides .owl-carousel .owl-item.active a').attr('tipo');

					if (tipo == 'vimeo') {
						$('#modal-video-amenidad .modal-body').html('<iframe width="100%" padding-top="57.45%" max-width="600px" height="auto" id="vi-con-video" src="https://player.vimeo.com/video/'+video+'?background=1&api=1&loop=0&title=0&byline=0&portrait=0&color=DEB772&autoplay=1&autopause=0" webkitAllowFullScreen mozallowfullscreen allowFullScreen allow="autoplay"></iframe>'
						);
					}else{
						$('#modal-video-amenidad .modal-body').html('<iframe width="100%" padding-top="57.45%" max-width="600px" height="auto" src="https://www.youtube.com/embed/'+video+'?autoplay=1&showinfo=0&modestbranding=1&rel=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>'
						);
					}

					$('#modal-video-amenidad').modal('show');
                    */

				}
			});

		}else if(videos != 1 && fotos >= 1){
			$('.icons .galeria').addClass('activo');
			$('.icons .videos').removeClass('activo');
			$('.icons .i360').removeClass('activo');
			$('.slides .slide.i360').removeClass('activo');

			$.ajax({

				url: ajaxurl,
				type: 'post',
				data: {
					action: 'cargar_galeria',
					cat: cat,
					tipo: tipo,
					id: iddes
				},
				success: function( result ) {

					$('.slides .foto.i360').hide();
					$('.slides .owl-carousel').show();

					$('.slides .owl-carousel').trigger('replace.owl.carousel', result).trigger('refresh.owl.carousel');

					$('.slides .icons a').attr('cat',cat);

					
				}
			});

		}else if (fotos != 1 && videos != 1 && i360 >= 1){
			$('.icons .galeria').removeClass('activo');
			$('.icons .videos').removeClass('activo');
			$('.icons .i360').addClass('activo');

			$.ajax({

				url: ajaxurl,
				type: 'post',
				data: {
					action: 'cargar_360',
					cat: cat,
					tipo: tipo,
					id: iddes
				},
				success: function( result ) {
					// console.log(result);

					// $('.slides .owl-carousel').trigger('replace.owl.carousel', result).trigger('refresh.owl.carousel');

					$('.slides .owl-carousel').hide();
					$('.slides .slide.i360').addClass('activo');
					$('.slides .slide.i360').html(result);
					$('.slides .owl-nav').hide();
				}
			});

		}else{}


		if(fotos > 1){
			$('.slides .owl-nav').show();
			// console.log('fotos:'+fotos);

		}else if(fotos < 2 && videos > 1){
			$('.slides .owl-nav').show();
			// console.log('videos:'+videos);

		}else if(fotos < 2 && videos < 2 && i360 > 1){
			$('.slides .owl-nav').show();
			// console.log('i360:'+i360);
		}else{
			$('.slides .owl-nav').hide();
			// console.log('todos: 0');
		}
	}

	$('.slides .icons a.galeria').on('click', function(e){
		e.preventDefault();

		var cat = $(this).attr("cat");
		var tipo = $(this).attr("tipo");
		var iddes = $(this).attr("iddesarrollo");
		var fotos = $(this).attr("fotos");

		var ajaxurl = '<?php echo get_home_url()."/wp-admin/admin-ajax.php"; ?>';

		$.ajax({

			url: ajaxurl,
			type: 'post',
			data: {
				action: 'cargar_imagenes',
				cat: cat,
				tipo: tipo,
				id: iddes
			},
			success: function( result ) {

				$('.slides .slide.i360').removeClass('activo');
				$('.slides .owl-carousel').show();
				$('.slides .owl-nav').show();

				$('.slides .owl-carousel').trigger('replace.owl.carousel', result).trigger('refresh.owl.carousel');

				$('.slides .icons a.galeria').addClass('activo');
				$('.slides .icons a.videos').removeClass('activo');
				$('.slides .icons a.i360').removeClass('activo');
			}
		});
		if(fotos > 1){
			$('.slides .owl-nav').show();
		}else{
			$('.slides .owl-nav').hide();
		}
	});

	$('.slides .icons a.videos').on('click', function(e){
		e.preventDefault();

		var cat = $(this).attr("cat");
		var tipo = $(this).attr("tipo");
		var iddes = $(this).attr("iddesarrollo");
		var videos = $(this).attr("videos");

		var ajaxurl = '<?php echo get_home_url()."/wp-admin/admin-ajax.php"; ?>';

		$.ajax({

			url: ajaxurl,
			type: 'post',
			data: {
				action: 'cargar_videos',
				cat: cat,
				tipo: tipo,
				id: iddes
			},
			success: function( result ) {

				// console.log(result);

				$('.slides .slide.i360').removeClass('activo');
				$('.slides .owl-carousel').show();

				$('.slides .owl-carousel').trigger('replace.owl.carousel', result).trigger('refresh.owl.carousel');

				$('.slides .icons a.galeria').removeClass('activo');
				$('.slides .icons a.videos').addClass('activo');
				$('.slides .icons a.i360').removeClass('activo');


				var video = $('.slides .owl-carousel .owl-item.active a').attr('video');
				var tipo = $('.slides .owl-carousel .owl-item.active a').attr('tipo');

				if (tipo == 'vimeo') {
					$('#modal-video-amenidad .modal-body').html('<iframe width="100%" padding-top="57.45%" max-width="600px" height="auto" id="vi-con-video" src="https://player.vimeo.com/video/'+video+'?api=1&loop=0&title=0&byline=0&portrait=0&color=DEB772&autoplay=1&autopause=0" webkitAllowFullScreen mozallowfullscreen allowFullScreen allow="autoplay"></iframe>'
					);
				}else{
					$('#modal-video-amenidad .modal-body').html('<iframe width="100%" padding-top="57.45%" max-width="600px" height="auto" src="https://www.youtube.com/embed/'+video+'?autoplay=1&showinfo=0&modestbranding=1&rel=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>'
					);
				}

				$('#modal-video-amenidad').modal('show');

			}
		});
		// console.log('videos: '+videos)
		if(parseInt(videos) > 1){
			$('.slides .owl-nav').show();
			// console.log('mayor a 1');
		}else{
			$('.slides .owl-nav').hide();
			// console.log('menor a 1');
		}
	});

	$('.slides .icons a.i360').on('click', function(e){
		e.preventDefault();

		var cat = $(this).attr("cat");
		var tipo = $(this).attr("tipo");
		var iddes = $(this).attr("iddesarrollo");
		var i360 = $(this).attr("i360");

		// console.log(cat);
		// console.log(tipo);
		// console.log(iddes);

		var ajaxurl = '<?php echo get_home_url()."/wp-admin/admin-ajax.php"; ?>';

		$.ajax({

			url: ajaxurl,
			type: 'post',
			data: {
				action: 'cargar_360',
				cat: cat,
				tipo: tipo,
				id: iddes
			},
			success: function( result ) {
				// console.log('result:'+result);

				// $('.slides .owl-carousel').trigger('replace.owl.carousel', result).trigger('refresh.owl.carousel');

				$('.slides .owl-carousel').hide();
				$('.slides .slide.i360').addClass('activo');
				$('.slides .slide.i360').html(result);
				$('.slides .owl-carousel .foto.video').css('padding-top','0px');
				$('.slides .owl-nav').hide();

				$('.slides .icons a.galeria').removeClass('activo');
				$('.slides .icons a.videos').removeClass('activo');
				$('.slides .icons a.i360').addClass('activo');
			}
		});

		$('.slides .owl-nav').hide();
	});

	$('.slides .icons a.vr').fancybox({
		afterShow: function(){
			// console.log('vr!!!!!!');
			$('button.fancybox-button.fancybox-button--close').addClass('cerrar-vr');
		}
	});

	// $(document).on('click', '.slides .owl-carousel .video a' , function(e){
	// 	e.preventDefault();

	// 	var video = $(this).attr('video');
		
	// 	$(this).parent().css('padding-top','57.24%');
		
	// 	$(this).parent().html('<iframe width="100%" padding-top="57.45%" max-width="600px" height="auto" src="https://www.youtube.com/embed/'+video+'?autoplay=1&showinfo=0&modestbranding=1&rel=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>'
	// 	);
	// });

	$(document).on('click', '.slides .owl-carousel .video a' , function(e){
		e.preventDefault();

		var video = $(this).attr('video');
		var tipo = $(this).attr('tipo');

		if (tipo == 'vimeo') {
			$('#modal-video-amenidad .modal-body').html('<iframe width="100%" padding-top="57.45%" max-width="600px" height="auto" id="vi-con-video" src="https://player.vimeo.com/video/'+video+'?api=1&loop=0&title=0&byline=0&portrait=0&color=DEB772&autoplay=1&autopause=0" webkitAllowFullScreen mozallowfullscreen allowFullScreen allow="autoplay"></iframe>'
			);
		}else{
			$('#modal-video-amenidad .modal-body').html('<iframe width="100%" padding-top="57.45%" max-width="600px" height="auto" src="https://www.youtube.com/embed/'+video+'?autoplay=1&showinfo=0&modestbranding=1&rel=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>'
			);
		}
		
	});

	$('#modal-video-amenidad').on("hidden.bs.modal", function () {
	// $('#modal-video-amenidad .close').on('click', function(){
		$('#modal-video-amenidad .modal-body').html('');
	});
</script>

<script>
	$('a.video-desarrollo').on('click', function(e){
		e.preventDefault();

		var video = $(this).attr('video');

		$('#modal-video-desarrollo .modal-body').html('<iframe width="100%" padding-top="57.45%" max-width="600px" height="auto" src="https://www.youtube.com/embed/'+video+'?autoplay=1&showinfo=0&modestbranding=1&rel=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>'
		);
		$('#modal-video-desarrollo button.close').on('click', function(){
			$('#modal-video-desarrollo .modal-body').html('');
		})
	});
</script>

<script src="<?php echo get_stylesheet_directory_uri(); ?>/js/panorama.min.js?v=<?php echo time(); ?>"></script>

<!-- carrucel thumbs -->
<script>

	$('.thumbs .owl-carousel').owlCarousel({
		loop: false,
		margin: 15,
		center: false,
		responsive:{
			0:{
				items: 2,
			},
			700:{
				items: 3,
			},
			993:{
				items: 4,
			}
		},
		nav: true,
		navText: ['<i class="corintios-left" style="color:<?php echo $color; ?>;"></i>','<i class="corintios-right" style="color:<?php echo $color; ?>;"></i>']

	});
	$('.thumbs a.foto').on('click', function(e){
		e.preventDefault();
		var thumb =$(this).attr('t');
		$('.slides .owl-carousel').trigger('to.owl.carousel', parseInt(thumb) - 1);
	});

	$('.thumbs .owl-prev').on('click', function(){
		 $(".thumbs .owl-carousel").trigger('prev.owl');
		 $('.thumbs .owl-next').show();
	});
	$('.thumbs .owl-next').on('click', function(){
		$(".thumbs .owl-carousel").trigger('next.owl');
		$('.thumbs .owl-prev').show();
	});

	$('.thumbs .owl-carousel').on('changed.owl.carousel', function (e) {
		if (e.page.index == 0) {
			$('.thumbs .owl-prev').hide();
		}
		if( e.item.index == (e.page.count - 1)){
			$('.thumbs .owl-next').hide();
		}
	});

</script>

<!-- carrucel categorias timeline -->
<script>
	$('.cats .owl-carousel').owlCarousel({
		loop: false,
		margin: 15,
		center: false,
		responsive:{
			0:{
				items: 2,
			},
			700:{
				items: 3,
			},
			993:{
				items: 4,
			}
		},
		nav: true,
		navText: ['<i class="corintios-left" style="color:<?php echo $color; ?>;"></i>','<i class="corintios-right" style="color:<?php echo $color; ?>;"></i>']

	});

	$('#modal-promo .content input[type="submit"]').css('background', '<?php echo $color; ?>');
	$('#modal-promo .content button').css('background', '<?php echo $color; ?>');

	$('#timeline a').on('click', function (e){
		e.preventDefault();
        
		var thumb =$(this).attr('t');
		var post =$(this).attr('post');
		var fecha = $(this).attr('fecha');
		$('#timeline a').removeClass('activo');
		$(this).addClass('activo');

		var ajaxurl = '<?php echo get_home_url()."/wp-admin/admin-ajax.php"; ?>';

		console.log('post:'+post,' -- thumb:'+thumb);

        /*
		$.ajax({

			url: ajaxurl,
			type: 'post',
			data: {
				action: 'cargar_categoria_timeline',
				item: thumb,
				post: post
			},
			success: function( result ) {

				// console.log(result);

				// $('.slides .owl-carousel').trigger('replace.owl.carousel', result).trigger('refresh.owl.carousel');

				// $('.slides .owl-carousel').owlCarousel({
				// 	items: 1,
				// 	loop: false,
				// 	nav: false,
				// 	dots: false
				// });

				// $('.slides .owl-next').show();
				// $('.slides .owl-nav').show();
				
			}
		});
        /** */

		$.ajax({

			url: ajaxurl,
			type: 'post',
			data: {
				action: 'cargar_thumbs_timeline',
				item: thumb,
				post: post
			},
			success: function( result ) {

				console.log(result);

                
				$('.cats').html(result);

				// $('.cats .owl-carousel').owlCarousel({
				// 	items: 1,
				// 	loop: false,
				// 	nav: false,
				// 	dots: false
				// });
                
				
			}
		});
        /** */
        
		$('#timeline .principal').html(fecha);
		$('.principal').toggleClass('desplegado');
		$('#timeline ul').toggleClass('desplegado');
	});

	$('.cats .owl-prev').on('click', function(){
		 $(".thumbs .owl-carousel").trigger('prev.owl');
		 $('.thumbs .owl-next').show();
	});
	$('.cats .owl-next').on('click', function(){
		$(".thumbs .owl-carousel").trigger('next.owl');
		$('.thumbs .owl-prev').show();
	});

	$('.cats .owl-carousel').on('changed.owl.carousel', function (e) {
		if (e.page.index == 0) {
			$('.thumbs .owl-prev').hide();
		}
		if( e.item.index == (e.page.count - 1)){
			$('.thumbs .owl-next').hide();
		}
	});

</script>

<!-- video timeline -->
<script>
	$(document).on('click', 'a.video_timeline', function(e){
		e.preventDefault();

		var video = $(this).attr('video');

		// console.log(video);

		$('a.video_timeline > div').html('<iframe width="100%" padding-top="57.45%" max-width="600px" height="auto" src="https://www.youtube.com/embed/'+video+'?autoplay=1&showinfo=0&modestbranding=1&rel=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>'
		);
	});
</script>

<!-- carrucel promos -->
<script>
	$('.img-promo .owl-carousel').owlCarousel({
		loop: false,
		margin: 15,
		center: false,
		items: 1,
		nav: false,
		dots: false,
		autoplay: true,
		autoplayTimeout: 8000
	});

	$('.img-promo .owl-prev').on('click', function(){
		 $(".img-promo .owl-carousel").trigger('prev.owl');
		 $('.img-promo .owl-next').show();
	});
	$('.img-promo .owl-next').on('click', function(){
		$(".img-promo .owl-carousel").trigger('next.owl');
		$('.img-promo .owl-prev').show();
	});

	$('.img-promo .owl-carousel').on('changed.owl.carousel', function (e) {

		if (e.item.index == 0) {
			$('.img-promo .owl-prev').hide();
			$('.img-promo .owl-next').show();
			// console.log(e.item.count);
			// console.log(e.item.index+' adelante');
		}
		if( e.item.index == (e.item.count - 1)){
			$('.img-promo .owl-next').hide();
			$('.img-promo .owl-prev').show();
			// console.log(e.item.count);
			// console.log(e.item.index+' regresa');
		}
	});
</script>

<!-- scrollbar -->
<script>
	$('.scrollbar-inner').scrollbar();
</script>

<!-- simulador -->
<script>
	$('.plantas-nav a').on('click', function(e){
		e.preventDefault();
		var planta = $(this).attr('planta');

		$('.plantas-nav :not(a[planta="'+planta+'"])').parent().removeClass('activo');
		$('.plantas-nav :not(a[planta="'+planta+'"])').parent().removeClass('activo-inicial');
		$(this).parent().addClass('activo');

		$('.prototipo div:not(.planta.'+planta+')').removeClass('activo');
		$('.prototipo .planta.'+planta).addClass('activo');
	});
</script>

<?php
	if ($post_slug == 'vida-tepeyac') {
?>
<script>
	function lb_plaza() {
		$.fancybox.open([
		{
		  src  : '<?php echo get_home_url(); ?>/desarrollos/sara/esfera/plaza.php', 
			type : 'iframe', 
			opts : {} 
		  
		}
		]);
	};	
		
	function lb_fachada() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/sara/renders/sara-fachada.jpg',
			  opts : {
				caption : 'Fachada',
				thumb   : ''
			  }
			}
		  ]);
	};	
		
	function lb_roof() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/sara/renders/sara-roof.jpg',
			  opts : {
				caption : '&Aacute;rea de Asadores',
				thumb   : ''
			  }
			}
		  ]);
	};
	function lb_departamentos() {
		  window.location.href = "<?php echo get_home_url(); ?>/desarrollos/<?php echo $page_slug; ?>?d=prototipos";
	};	
</script>
<?php
	}
	if ($post_slug == 'vida-jacarandas') {
?>
<script>
	function lb_plaza() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidajacarandas/esfera/plaza.php', 
				type : 'iframe', 
				opts : {} 
			  
			}
		  ]);
	};

	function lb_lobby() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidajacarandas/renders/pino_lobby-01.jpg',
			  opts : {
				caption : 'Lobby',
				thumb   : ''
			  }
			},
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidajacarandas/renders/pino_lobby-02.jpg',
			  opts : {
				caption : 'Lobby',
				thumb   : ''
			  }
			}
		  ], {
			loop : true,
			hash : "",
			slideShow  : false,
			fullScreen : false,
			thumbs     : false,
			zoom		: false,
			closeBtn   : true
		  });
	};	
	
	function lb_motorlobby() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidajacarandas/renders/pino_motor-lobby-01.jpg',
			  opts : {
				caption : 'Motor Lobby',
				thumb   : ''
			  }
			},
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidajacarandas/renders/pino_motor-lobby-02.jpg',
			  opts : {
				caption : 'Motor Lobby',
				thumb   : ''
			  }
			}
		  ], {
			loop : true,
			hash : "",
			slideShow  : false,
			fullScreen : false,
			thumbs     : false,
			zoom		: false,
			closeBtn   : true
		  });
	};					
			
	function lb_asadorespb() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidajacarandas/renders/pino_asadorespb-02.jpg',
			  opts : {
				caption : 'Área de Asadores',
				thumb   : ''
			  }
			}
		  ]);
	};

	function lb_pet() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidajacarandas/renders/pino_asadorespb-01.jpg',
			  opts : {
				caption : 'Pet Zone',
				thumb   : ''
			  }
			},
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidajacarandas/renders/pino_pet-zone.jpg',
			  opts : {
				caption : 'Pet Zone',
				thumb   : ''
			  }
			}
		  ], {
			loop : true,
			hash : "",
			slideShow  : false,
			fullScreen : false,
			thumbs     : false,
			zoom		: false,
			closeBtn   : true
		  });
	};

	function lb_cancha() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidajacarandas/renders/pino_canchas-01.jpg',
			  opts : {
				caption : 'Cancha Deportiva',
				thumb   : ''
			  }
			},
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidajacarandas/renders/pino_canchas-02.jpg',
			  opts : {
				caption : 'Cancha Deportiva',
				thumb   : ''
			  }
			}
		  ], {
			loop : true,
			hash : "",
			slideShow  : false,
			fullScreen : false,
			thumbs     : false,
			zoom		: false,
			closeBtn   : true
		  });
	};	
			
	function lb_asadores() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidajacarandas/renders/pino_asadores-01.jpg',
			  opts : {
				caption : 'Área de Asadores',
				thumb   : ''
			  }
			},
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidajacarandas/renders/pino_asadores-02.jpg',
			  opts : {
				caption : 'Área de Asadores',
				thumb   : ''
			  }
			}
		  ], {
			loop : true,
			hash : "",
			slideShow  : false,
			fullScreen : false,
			thumbs     : false,
			zoom		: false,
			closeBtn   : true
		  });
	};

	function lb_departamentos() {
		  window.location.href = "<?php echo get_home_url(); ?>/desarrollos/<?php echo $page_slug; ?>?d=prototipos";
	};	
</script>
<?php
	}
	if ( $post_slug == 'vida-vallejo' ) {
?>
<script>
			
	function lb_asadores() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavallejo/renders/asadores.jpg',
			  opts : {
				caption : 'Área de Asadores',
				thumb   : ''
			  }
			}
		  ]);
	};	
	
	function lb_fachada() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavallejo/renders/fachada.jpg',
			  opts : {
				caption : 'Fachada',
				thumb   : ''
			  }
			}
		  ]);
	};	
			
	function lb_lobby() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavallejo/renders/lobby.jpg',
			  opts : {
				caption : 'Lobby',
				thumb   : ''
			  }
			}
		  ]);
	};	

	function lb_gimnasio() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavallejo/renders/gym.jpg',
			  opts : {
				caption : 'Gimnasio',
				thumb   : ''
			  }
			}
		  ]);
	};	
			
	function lb_juegos() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavallejo/renders/juegos.jpg',
			  opts : {
				caption : 'Juegos Infantiles',
				thumb   : ''
			  }
			}
		  ]);
	};	
			
	function lb_fiestas() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavallejo/renders/fiestas.jpg',
			  opts : {
				caption : 'Salón de Fiestas',
				thumb   : ''
			  }
			}
		  ]);
	};	

	function lb_coworking() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavallejo/renders/coworking.jpg',
			  opts : {
				caption : 'Co-working',
				thumb   : ''
			  }
			}
		  ]);
	};	
			
	function lb_plaza() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavallejo/renders/plaza_verde.jpg',
			  opts : {
				caption : 'Plaza Verde',
				thumb   : ''
			  }
			}
		  ]);
	};	
			
	function lb_ludoteca() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavallejo/renders/ludoteca.jpg',
			  opts : {
				caption : 'Ludoteca',
				thumb   : ''
			  }
			}
		  ]);
	};	
			
	function lb_jovenes() {
		  $.fancybox.open([
			{
			  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavallejo/renders/jovenes.jpg',
			  opts : {
				caption : 'Salón de Jóvenes',
				thumb   : ''
			  }
			}
		  ]);
	};
	function lb_departamentos(){
		location.href = window.location.href+"?d=prototipos";
	}	
</script>
<?php
	}
	if ($post_slug == 'vida-parque-bicentenario') {
?>
<script>
			
        function lb_plaza_verde_360() {
                $.fancybox.open([
                {
                    src  : '<?php echo get_home_url(); ?>/desarrollos/tezozomoc/esfera/plaza.php', 
                    type : 'iframe', 
                    opts : {} 
                    
                }
                ]);
        };	
			
        function lb_plaza_verde() {
                $.fancybox.open([
                {
                    src  : '<?php echo get_home_url(); ?>/desarrollos/tezozomoc/renders/plaza-verde.jpg',
                    opts : {
                    caption : 'Plaza Verde',
                    thumb   : ''
                    }
                }
                ]);
        };	
                
        function lb_huerto() {
                $.fancybox.open([
                {
                    src  : '<?php echo get_home_url(); ?>/desarrollos/tezozomoc/renders/huerto.jpg',
                    opts : {
                    caption : 'Huerto',
                    thumb   : ''
                    }
                }
                ]);
        };	
                
        function lb_pet_spa() {
                $.fancybox.open([
                {
                    src  : '<?php echo get_home_url(); ?>/desarrollos/tezozomoc/renders/pet-spa.jpg',
                    opts : {
                    caption : 'Pet Spa',
                    thumb   : ''
                    }
                }
                ]);
        };	

        function lb_coworking() {
                $.fancybox.open([
                {
                    src  : '<?php echo get_home_url(); ?>/desarrollos/tezozomoc/renders/coworking.jpg',
                    opts : {
                    caption : 'Coworking',
                    thumb   : ''
                    }
                }
                ]);
        };	
                
        function lb_jovenes() {
                $.fancybox.open([
                {
                    src  : '<?php echo get_home_url(); ?>/desarrollos/tezozomoc/renders/jovenes.jpg',
                    opts : {
                    caption : 'Salón de Jóvenes',
                    thumb   : ''
                    }
                }
                ]);
        };	
                
        function lb_salon() {
                $.fancybox.open([
                {
                    src  : '<?php echo get_home_url(); ?>/desarrollos/tezozomoc/renders/salon.jpg',
                    opts : {
                    caption : 'Salón de Usos Múltiples',
                    thumb   : ''
                    }
                }
                ]);
        };	
                
        function lb_juegos() {
                $.fancybox.open([
                {
                    src  : '<?php echo get_home_url(); ?>/desarrollos/tezozomoc/renders/juegos.jpg',
                    opts : {
                    caption : 'Juegos Infantiles',
                    thumb   : ''
                    }
                }
                ]);
        };	

        function lb_fachada() {
                $.fancybox.open([
                {
                    src  : '<?php echo get_home_url(); ?>/desarrollos/tezozomoc/renders/fachada.jpg',
                    opts : {
                    caption : 'Fachada',
                    thumb   : ''
                    }
                }
                ]);
        };	
                
        function lb_lobby() {
                $.fancybox.open([
                {
                    src  : '<?php echo get_home_url(); ?>/desarrollos/tezozomoc/renders/lobby.jpg',
                    opts : {
                    caption : 'Lobby',
                    thumb   : ''
                    }
                }
                ]);
        };	

        function lb_asadores() {
                $.fancybox.open([
                {
                    src  : '<?php echo get_home_url(); ?>/desarrollos/tezozomoc/renders/asadores.jpg',
                    opts : {
                    caption : 'Área de Asadores',
                    thumb   : ''
                    }
                }
                ]);
        };	
                    
        function lb_asadores_pb() {
                $.fancybox.open([
                {
                    src  : '<?php echo get_home_url(); ?>/desarrollos/tezozomoc/renders/asadores-pb.jpg',
                    opts : {
                    caption : 'Área de Asadores Plaza Verde',
                    thumb   : ''
                    }
                }
                ]);
        };	

</script>
<?php
	}
	if ($post_slug == 'vida-victoria') {
		?>
		<script>
					
			function lb_fachada() {
				$.fancybox.open([
					{
					  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavictoria/renders/fachada.jpg',
					  opts : {
						caption : 'Fachada Principal',
						thumb   : ''
					  }
					}
				  ]);
			};	
					
					
					
			function lb_patio() {
				  $.fancybox.open([
					{
					  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavictoria/esfera/patio.php', 
						type : 'iframe', 
						opts : {} 
					  
					}
				  ]);
			};	
								
					

			function lb_roof() {
				  $.fancybox.open([
					{
					  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavictoria/renders/asadores.jpg',
					  opts : {
						caption : 'Área de Asadores',
						thumb   : ''
					  }
					}
				  ]);
			};	
					
					
			function lb_lobby() {
				  $.fancybox.open([
					{
					  src  : '<?php echo get_home_url(); ?>/desarrollos/vidavictoria/renders/lobby.jpg',
					  opts : {
						caption : 'Lobby',
						thumb   : ''
					  }
					}
					 ]);
			};		
		
		</script>
<?php
	}
?>

<script>
	$('#btn-otros-desarrollos').on('click', function(){
		$('.nav-otros-desarrollos').addClass('activo');
	});
	$('.nav-otros-desarrollos button').on('click', function(){
		$('.nav-otros-desarrollos').removeClass('activo');
	});
</script>

<script>
	var c = $("canvas");
	var ctx = c[0].getContext('2d');

	ctx.canvas.width = 400;
</script>

<script>

	if ( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
		// console.log('movil');
		$('section.acabados').addClass('movil');
	}else{
		// console.log('escritorio');
		$('section.acabados').removeClass('movil');
	}

</script>

<script>

	$('.pisos .piso').on('click', function(){

		var pisoUrl = $(this).attr('preview');
		var pisoTitle = $(this).attr('title');

		$('.caption').html(pisoTitle);
		// console.log('pisoUrl: '+pisoUrl);

		$('.preview .lds-ring').show();

		$('<img src="'+ pisoUrl +'" class="img-piso">').load(pisoUrl, function(responseTxt, statusTxt){


			if(statusTxt == "success"){
				$('.preview .lds-ring').hide();
				$('.img-piso').css('background-image', "url("+pisoUrl+")");

				$('.pisos .piso[title="'+pisoTitle+'"]').addClass('activo');
				$('.pisos :not(.piso[title="'+pisoTitle+'"])').removeClass('activo');
			}
		});

	});

	$('.muros .muro').on('click', function(){

		var muroUrl = $(this).attr('preview');
		var muroTitle = $(this).attr('title');
		$('.preview .lds-ring').show();

		// console.log('muroUrl: '+muroUrl);

		$('<img src="'+ muroUrl +'" class="img-muro">').load(muroUrl, function(responseTxt, statusTxt){

			if(statusTxt == "success"){
				$('.preview .lds-ring').hide();
				$('.img-muro').css('background-image', "url("+muroUrl+")");

				$('.muros .muro[title="'+muroTitle+'"]').addClass('activo');
				$('.muros :not(.muro[title="'+muroTitle+'"])').removeClass('activo');
			}
		});

	});

</script>

<?php if( $catss ){ ?>
	<script type="text/javascript">

		// $('.slides').hide();

		var video = $('.slides .owl-carousel .owl-item.active a').attr('video');
		var tipo = $('.slides .owl-carousel .owl-item.active a').attr('tipo');

		if (tipo == 'vimeo') {
			$('#modal-video-amenidad .modal-body').html('<iframe width="100%" padding-top="57.45%" max-width="600px" height="auto" id="vi-con-video" src="https://player.vimeo.com/video/'+video+'?api=1&loop=0&title=0&byline=0&portrait=0&color=DEB772&autoplay=1&autopause=0" webkitAllowFullScreen mozallowfullscreen allowFullScreen allow="autoplay"></iframe>'
			);
		}else{
			$('#modal-video-amenidad .modal-body').html('<iframe width="100%" padding-top="57.45%" max-width="600px" height="auto" src="https://www.youtube.com/embed/'+video+'?autoplay=1&showinfo=0&modestbranding=1&rel=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>'
			);
		}

		// setTimeout(modale,2000);

		function modale(){
			$('#modal-video-amenidad').modal('show');
		}
	</script>
<?php } ?>